include "oper.conf"; 
include "connect.conf"; 
loadmodule "src/modules/commands.so"; 
loadmodule "src/modules/cloak.so"; 
include "aliases/anope.conf";

me { 
	name "jakarta.id.indocloud.org"; 
	info "Indocloud IRC Server"; 
	numeric 88;
};


admin { 
	"Power";
	"power@indocloud.org";
	"always Up";
};


ulines {
	services.indocloud.org;
	stats.indocloud.org;

};

set { 

	kline-address "services@indocloud.org";
	default-server "irc.indocloud.org";
	services-server 	"services.indocloud.org";
	stats-server 		"stats.indocloud.org";
	help-channel 		"#help";
        prefix-quit 		"no";
	oper-auto-join 		"#help";
	network-name 		"Indocloud";
	hiddenhost-prefix	"cloudy"; 
hosts { 
	local "indocloud";
	global "indocloud";
	coadmin "staff.indocloud";
	admin "staff.indocloud.org";
	servicesadmin "staff.indocloud.org";
	netadmin "localhost";
	host-on-oper-up  "on"; 
}; };

class          clients { 
	pingfreq 100; 
	maxclients 9000; 
	sendq 100000; 
	recvq 20000; 
};

class           servers { 
	pingfreq 180; 
	maxclients 5000; 
	sendq 1000000; 	
	connfreq 120;
};


listen         *:6667;
#listen         *:6668;
listen         *:7000;
#listen         *:8000;
#listen         *:6665;
#listen         *:6660;

listen *:6697 {
	options {
	clientsonly;
	ssl;
}; };

listen *:7029 { 
	options { 
	serversonly; 
}; }; 


drpass {
	restart "cok";
	die "cok";
};

allow { 
	ip             *; 
	hostname       *; 
	class clients; 
	maxperip 4000; 
}; 


log "ircd.log" {
	maxsize 2500000;
	flags {
	   errors;
         kills;
         tkl;
         connects;
         server-connects;
         kline;
         oper;
         sadmin-commands;
         chg-commands;
         oper-override;
         spamfilter;
};
};


set {

cloak-keys {
                       "AHos2HOHS6ds2gsQcHGAkish";
                       "qF5D3ormaH6mnEvbaH226lfEhjf";
                       "hmA6HwLh53HadOyvn9Uefst";
};
/*
cloak-keys { 
	"5uEgh4eC2iDti6QA7rh8vB0CX9Dk7QSfT5CgD3d2Wf"; 
	"s7LytYKtMo8hPH0nxgN4IHI2rI4LiYOq7Ja8Pz9";
	"d8Aef4FH5Dz6cx3FbFf8Ek9D0SWKhFo7eUO6rJ5iH3xK4"; 
};
*/
	modes-on-connect "+i"; 
	modes-on-join +nt;
	modes-on-oper "+iwgGpsvsxWt"; 
	snomask-on-oper +ceFfkGvsoqsS;
dns { 
	nameserver 127.0.0.1;
	timeout 2s; 
	retries 2; 
}; 

options { 
	show-connect-info;
	hide-ulines; 
	identd-check; 
	flat-map; 
}; 
	maxchannelsperuser 200;
	oper-only-stats "*"; 
	allow-userhost-change always; 
}; 
